Index · Directives · Python · libudev · gudev systemd 4

## Name

systemd-random-seed.service, systemd-random-seed — Load and save the system random seed at boot and shutdown

## Synopsis

`systemd-random-seed.service`

`/usr/lib/systemd/systemd-random-seed`

## Description

`systemd-random-seed.service` is a service that restores the random seed of the system at early-boot and saves it at shutdown. See random(4) for details. Saving/restoring the random seed across boots increases the amount of available entropy early at boot. On disk the random seed is stored in `/var/lib/random-seed`.

## See Also

systemd(1), random(4)